Skip to main content
GET
/
events
/
{id}
Get an event by id
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/events/{id} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://channels-service-alpha.fourvenues.com/events/{id}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://channels-service-alpha.fourvenues.com/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "_id": "abcdefghi1234567890",
    "name": "Monday Night",
    "slug": "monday-night",
    "description": "Lorem ipsum",
    "age": "18",
    "outfit": "casual",
    "ambiences": [
      "alternative"
    ],
    "music_genres": [
      "bachata"
    ],
    "artists": [
      {
        "name": "C. Tangana",
        "image_url": "https://somecdn.com/random-hash"
      }
    ],
    "display_date": "2023-12-31T00:00:00.000Z",
    "start_date": "2024-01-01T00:00:00.000Z",
    "end_date": "2024-01-01T06:00:00.000Z",
    "organization_id": "abcdefghi1234567890",
    "image_url": "https://somecdn.com/random-hash",
    "location_id": "locAbcdefghi1234567890",
    "location": {
      "unic_id": "orgAbcdefghi1234567890-locAbcdefghi1234567890",
      "location_id": "5e4f4b1b1f6b4b001f6b4b001",
      "organization_id": "5e4f4b1b1f6b4b001f6b4b001",
      "name": "Valencia",
      "address": "Carrer de Salamanca",
      "number": "43",
      "city": "Valencia",
      "country": "Spain",
      "full_address": "Carrer de Salamanca, 43, Valencia, Spain",
      "latitude": 39.4651339,
      "longitude": -0.3658872,
      "timezone": "Europe/Madrid"
    },
    "event_group": {
      "_id": "p03zns27fhz7opf9lqulc1scg9ke5z1y",
      "organization_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
      "name": "CM EVENTS",
      "event_ids": [
        "<string>"
      ],
      "description": "<string>"
    },
    "ticket_rates": [
      {
        "organization_id": "abcdefghi1234567890",
        "event_id": "abcdefghi1234567890",
        "name": "General Access",
        "slug": "general-access",
        "valid_from": "2022-01-01T00:00:00.000Z",
        "complete": false,
        "type": "limited",
        "prices": [
          {
            "price": 12,
            "valid_until": "2022-01-01T00:00:00.000Z",
            "quantity": 0,
            "includes": "1 Drink",
            "additional_info": "Only valid before 2:00 am.",
            "_id": "1643064796675",
            "name": "Early Bird",
            "fee_type": "percentage",
            "fee_quantity": 10,
            "used": "55"
          }
        ],
        "supplements": [
          {
            "_id": "1643064796675",
            "label": "1 Copa",
            "price": 12,
            "has_fake_price": true,
            "fake_price": 15,
            "description": "Includes one drink at the bar",
            "product_quantity": 4,
            "purchase_limit": {
              "min_quantity": 2,
              "max_quantity": 8,
              "is_unlimited": false
            },
            "redemption_deadline": {
              "is_expiration_enabled": true,
              "expiration_deadline": 1798851600
            },
            "service_charge_amount": 15,
            "service_charge_type": "percentage"
          }
        ],
        "available": true,
        "availability": {
          "sold": 10,
          "available": 90
        },
        "min": 1,
        "max": 10,
        "questions": [
          {
            "_id": "1643064796675",
            "label": "¿How did you hear about us?",
            "type": "dropdown",
            "required": true,
            "items": [
              "Instagram",
              "Appear"
            ]
          }
        ],
        "_id": "abcdefghi1234567890",
        "show_all_prices": true,
        "current_price": {
          "price": 12,
          "valid_until": "2022-01-01T00:00:00.000Z",
          "quantity": 0,
          "includes": "1 Drink",
          "additional_info": "Only valid before 2:00 am.",
          "_id": "1643064796675",
          "name": "Early Bird",
          "fee_type": "percentage",
          "fee_quantity": 10,
          "used": "55"
        },
        "warranty": {
          "enabled": true,
          "percentage": 20,
          "hours": 12
        },
        "has_discount_codes_enabled": true
      }
    ],
    "iframe": {
      "tag_url": "https://fourvenues.com/assets/org-slug/event-code",
      "script_url": "https://fourvenues.com/assets/iframe/org-slug/event-code"
    },
    "currency": "EUR"
  },
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

The id of the event to retrieve.

Query Parameters

populate
string

Populates the event with additional options separated by comma.

Default response already includes location, artists, preregister status (is_preregistered) and preregister configuration (preregister).

Populate options:

  • *: All populators
  • ticket-rates: Ticket Rates
  • list-rates: List Rates
  • event-groups: Event Groups
  • preregister: Preregister status and configuration

Response

OK

data
object
success
boolean